# Record Class SyWindowID

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.windows.SyWindowID

Record Components:
  `value` - The window ID value

All Implemented Interfaces:
  `Comparable<SyWindowID>`

public record SyWindowID(UUID value) extends Record implements Comparable<SyWindowID>
A window ID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyWindowID(UUID value)`
  A window ID.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(SyWindowID other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `UUID`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyWindowID

    public SyWindowID(UUID value)
    A window ID.
    Parameters:
      `value` - The window ID value

- ## Method Details

  - ### compareTo

    public int compareTo(SyWindowID other)
    Specified by:
      `compareTo` in interface `Comparable<SyWindowID>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public UUID value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component